<?php
function remove_index_loop() {
	remove_action('thematic_indexloop', 'thematic_index_loop');
}
add_action('init', 'remove_index_loop');

function fix_index_loop() {
	global $options;
	foreach ($options as $value) {
    if (get_option( $value['id'] ) === FALSE) { $$value['id'] = $value['std']; }
    else { $$value['id'] = get_option( $value['id'] ); }
    }
		/* Count the number of posts so we can insert a widgetized area */ $count = 1;
		while ( have_posts() ) : the_post() ?>

			<div id="post-<?php the_ID() ?>" class="<?php thematic_post_class() ?>">
    			<?php thematic_postheader(); ?>
				<div class="entry-content">
<?php thematic_content(); ?>

				<?php wp_link_pages('before=<div class="page-link">' .__('Pages:', 'thematic') . '&after=</div>') ?>
				</div>
				<?php thematic_postfooter(); ?>
			</div><!-- .post -->

				<?php comments_template();

				if ($count==$thm_insert_position) {
						get_sidebar('index-insert');
				}
				$count = $count + 1;
		endwhile;
}
add_action('thematic_indexloop', 'fix_index_loop');




// Begin header inner wrapping open div
function start_mainasides_wrapper() { ?>

<!-- header inner wrap starts here -->
<div id="mainasides-wrap">

<?php } // end of our new function start_mainasides_wrapper

// Add starting div to header before branding
add_action('thematic_abovemainasides','start_mainasides_wrapper', 1);

// Begin header inner wrapping closing div
function end_mainasides_wrapper() { ?>

</div>
<!-- header inner wrap ends here -->

<?php } // end of our new function end_mainasides_wrapper




// This will create your widget area
function my_widgets_init() {
    register_sidebar(array(
       	'name' => 'Below MainAside',
       	'id' => 'below-mainaside',
       	'before_widget' => '<li id="%1$s" class="widgetcontainer %2$s">',
       	'after_widget' => "</li>\n",
		'before_title' => "<h3 class=\"widgettitle\">",
		'after_title' => "</h3>\n",
    ));

}
add_action( 'init', 'my_widgets_init');

// adding the widget area to your child theme
function my_sidebar_widgets() {
if ( function_exists('dynamic_sidebar') && is_sidebar_active('below-mainaside') ) {
    echo '<div id="below-mainaside" class="aside">'. "\n" . '<ul class="xoxo">' . "\n";
    dynamic_sidebar('below-mainaside');
    echo '' . "\n" . '</ul>'. "\n";
    echo '' . "\n" . '</div><!-- #below-mainaside .aside -->'. "\n";
}
}
add_action('thematic_belowmainasides', 'my_sidebar_widgets', 0);


// Add closing div to header after header widget area
add_action('thematic_belowmainasides','end_mainasides_wrapper', 1); 

?>